-- phpMyAdmin SQL Dump
-- version 3.3.9
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Aug 29, 2011 at 04:54 PM
-- Server version: 5.5.8
-- PHP Version: 5.3.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `website`
--

-- --------------------------------------------------------

--
-- Table structure for table `bans`
--

CREATE TABLE IF NOT EXISTS `bans` (
  `id` int(11) NOT NULL,
  `bantype` enum('user','ip') COLLATE latin1_general_ci NOT NULL,
  `value` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `reason` text COLLATE latin1_general_ci NOT NULL,
  `expire` double NOT NULL DEFAULT '0',
  `added_by` varchar(12) COLLATE latin1_general_ci NOT NULL,
  `added_date` text COLLATE latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `bans`
--


-- --------------------------------------------------------

--
-- Table structure for table `messenger_friendships`
--

CREATE TABLE IF NOT EXISTS `messenger_friendships` (
  `user_one_id` int(11) NOT NULL,
  `user_two_id` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `messenger_friendships`
--


-- --------------------------------------------------------

--
-- Table structure for table `ranks`
--

CREATE TABLE IF NOT EXISTS `ranks` (
  `id` int(11) NOT NULL,
  `name` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `ranks`
--

INSERT INTO `ranks` (`id`, `name`) VALUES
(1, 'User'),
(2, 'VIP'),
(3, 'eXpert'),
(4, 'Hotel Traine'),
(5, 'Moderator'),
(6, 'Senior Moderator'),
(7, 'Administrator');

-- --------------------------------------------------------

--
-- Table structure for table `site_config`
--

CREATE TABLE IF NOT EXISTS `site_config` (
  `maintenance` enum('0','1') COLLATE latin1_general_ci NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `site_config`
--

INSERT INTO `site_config` (`maintenance`) VALUES
('0');

-- --------------------------------------------------------

--
-- Table structure for table `site_news`
--

CREATE TABLE IF NOT EXISTS `site_news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` text COLLATE latin1_general_ci NOT NULL,
  `story` text COLLATE latin1_general_ci NOT NULL,
  `published` text COLLATE latin1_general_ci NOT NULL,
  `author` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `site_news`
--


-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `username` varchar(12) COLLATE latin1_general_ci NOT NULL,
  `password` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `mail` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `auth_ticket` text COLLATE latin1_general_ci NOT NULL,
  `rank` int(11) NOT NULL,
  `credits` int(11) NOT NULL,
  `activity_points` int(11) NOT NULL,
  `look` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `gender` enum('M','F') COLLATE latin1_general_ci NOT NULL,
  `motto` varchar(15) COLLATE latin1_general_ci NOT NULL,
  `about` varchar(1200) COLLATE latin1_general_ci NOT NULL,
  `account_created` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `last_online` varchar(20) COLLATE latin1_general_ci NOT NULL,
  `online` enum('0','1') COLLATE latin1_general_ci NOT NULL,
  `ip_last` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `ip_reg` varchar(100) COLLATE latin1_general_ci NOT NULL,
  `block_newfriends` enum('0','1') COLLATE latin1_general_ci NOT NULL DEFAULT '0',
  `hide_online` enum('0','1') COLLATE latin1_general_ci NOT NULL DEFAULT '0',
  `hide_inroom` enum('0','1') COLLATE latin1_general_ci NOT NULL DEFAULT '0',
  `mail_verified` varchar(6) COLLATE latin1_general_ci NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci AUTO_INCREMENT=1 ;

--
-- Dumping data for table `users`
--


-- --------------------------------------------------------

--
-- Table structure for table `user_badges`
--

CREATE TABLE IF NOT EXISTS `user_badges` (
  `user_id` int(11) NOT NULL,
  `badge_id` varchar(11) COLLATE latin1_general_ci NOT NULL,
  `badge_slot` enum('0','1') COLLATE latin1_general_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

--
-- Dumping data for table `user_badges`
--

