<?php

session_start();

function CreateCaptcha($imgW, $imgH, $str)
{
	$image = imagecreatetruecolor($imgW, $imgH);

	$backgr_col = imagecolorallocate($image, 255,255,255);
	$border_col = imagecolorallocate($image, 255,255,255);
	$text_col = imagecolorallocate($image, 154, 154, 154);

	imagefilledrectangle($image, 0, 0, $imgW, $imgH, $backgr_col);
	imagerectangle($image, 0, 0, $imgW-1, $imgH-1, $border_col);

	$font = "FONT/verdana.ttf";
	$font_size = 20;

	$angle = 0;
	$box = imagettfbbox($font_size, $angle, $font, $str);

	$x = (int)($imgW - $box[4]) / 2;
	$y = (int)($imgH - $box[5]) / 2;

	imagettftext($image, $font_size, $angle, $x, $y, $text_col, $font, $str);

	imagepng($image);
	imagedestroy($image);
}

$imgW = 139;
$imgH = 58;

$str = "";
$length = 6;

for ($i = 0; $i < $length; $i++) { $str .= chr(rand(97, 122)); }

$_SESSION['captcha'] = md5(strtolower($str));

header("Content-type: image/png");

CreateCaptcha($imgW, $imgH, $str);
?>